package com.qy.test.reflect;

public class FieldDisplayItem {

    /**
     * 字段名称
     */
    public String fieldName;
    /**
     * 字段标签
     */
    public String label;

    /**
     * 字段类型
     */
    public FieldType dataType;

    /**
     * 日期类型
     */
    public DateType dateType;

    /**
     * 日期格式
     */
    public String dateFormat;

    /**
     * 字段显示类型
     */
    public ShowType showType;

    /**
     * 字段值
     */
    public Object value;

    /**
     * 单位
     */
    public String unit;
    /**
     * 字段排序
     */
    public int order;

    /**
     * 左侧图标
     */
    public String leftIcon;

    /**
     * 分割线高度
     */
    public int separateHeight;

    /**
     * 分割线颜色
     */
    public String separateBgColor;



    /**
     * 是否有下一级
     * @return
     */
    boolean hasNext;

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public FieldType getDataType() {
        return dataType;
    }

    public void setDataType(FieldType dataType) {
        this.dataType = dataType;
    }

    public DateType getDateType() {
        return dateType;
    }

    public void setDateType(DateType dateType) {
        this.dateType = dateType;
    }

    public String getDateFormat() {
        return dateFormat;
    }

    public void setDateFormat(String dateFormat) {
        this.dateFormat = dateFormat;
    }

    public ShowType getShowType() {
        return showType;
    }

    public void setShowType(ShowType showType) {
        this.showType = showType;
    }

    public Object getValue() {
        return value;
    }

    public void setValue(Object value) {
        this.value = value;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public int getOrder() {
        return order;
    }

    public void setOrder(int order) {
        this.order = order;
    }

    public String getLeftIcon() {
        return leftIcon;
    }

    public void setLeftIcon(String leftIcon) {
        this.leftIcon = leftIcon;
    }

    public int getSeparateHeight() {
        return separateHeight;
    }

    public void setSeparateHeight(int separateHeight) {
        this.separateHeight = separateHeight;
    }

    public String getSeparateBgColor() {
        return separateBgColor;
    }

    public void setSeparateBgColor(String separateBgColor) {
        this.separateBgColor = separateBgColor;
    }

    public boolean isHasNext() {
        return hasNext;
    }

    public void setHasNext(boolean hasNext) {
        this.hasNext = hasNext;
    }
}
